org.bouncycastle.crypto.params

## Class NaccacheSternKeyGenerationParameters

- java.lang.Object
- - org.bouncycastle.crypto.KeyGenerationParameters
  - - org.bouncycastle.crypto.params.NaccacheSternKeyGenerationParameters

    public class NaccacheSternKeyGenerationParameters
    extends KeyGenerationParameters

Parameters for NaccacheStern public private key generation. For details on this cipher, please see http://www.gemplus.com/smart/rd/publications/pdf/NS98pkcs.pdf

### Constructor Summary

Constructors
Constructor and Description
`NaccacheSternKeyGenerationParameters(java.security.SecureRandom random, int strength, int certainty, int cntSmallPrimes)` Parameters for generating a NaccacheStern KeyPair.
`NaccacheSternKeyGenerationParameters(java.security.SecureRandom random, int strength, int certainty, int cntSmallPrimes, boolean debug)` Parameters for a NaccacheStern KeyPair.

### Method Summary

Methods
`int` `getCertainty()`
`int` `getCntSmallPrimes()`
`boolean` `isDebug()`

### Methods inherited from class org.bouncycastle.crypto.KeyGenerationParameters

`getRandom, getStrength`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NaccacheSternKeyGenerationParameters

    public NaccacheSternKeyGenerationParameters(java.security.SecureRandom random,
                                        int strength,
                                        int certainty,
                                        int cntSmallPrimes)

Parameters for generating a NaccacheStern KeyPair.

Parameters:
  `random` - The source of randomness
  `strength` - The desired strength of the Key in Bits
  `certainty` - the probability that the generated primes are not really prime as integer: 2^(-certainty) is then the probability
  `cntSmallPrimes` - How many small key factors are desired

#### NaccacheSternKeyGenerationParameters

    public NaccacheSternKeyGenerationParameters(java.security.SecureRandom random,
                                        int strength,
                                        int certainty,
                                        int cntSmallPrimes,
                                        boolean debug)

Parameters for a NaccacheStern KeyPair.

Parameters:
  `random` - The source of randomness
  `strength` - The desired strength of the Key in Bits
  `certainty` - the probability that the generated primes are not really prime as integer: 2^(-certainty) is then the probability
  `cntSmallPrimes` - How many small key factors are desired
  `debug` - Turn debugging on or off (reveals secret information, use with caution)

### Method Detail

#### getCertainty

    public int getCertainty()

Returns:
  Returns the certainty.

#### getCntSmallPrimes

    public int getCntSmallPrimes()

Returns:
  Returns the cntSmallPrimes.

#### isDebug

    public boolean isDebug()